cascading.tuple.hadoop

## Class BigDecimalSerialization

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.BigDecimalSerialization

- All Implemented Interfaces:
    org.apache.hadoop.conf.Configurable, org.apache.hadoop.io.serializer.Serialization<java.math.BigDecimal>

      public class BigDecimalSerialization
      extends org.apache.hadoop.conf.Configured
      implements org.apache.hadoop.io.serializer.Serialization<java.math.BigDecimal>

  Class BigDecimalSerialization is an implementation of Hadoop's `Serialization` interface for use by `BigDecimal` instances.

  To use, call
  `TupleSerializationProps.addSerialization(properties, BigDecimalSerialization.class.getName());`

  See Also:
    `TupleSerializationProps.addSerialization(java.util.Map, String)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BigDecimalSerialization.BigDecimalDeserializer`
    `static class` | `BigDecimalSerialization.BigDecimalSerializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalSerialization()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.lang.Class<?> c)`
    `org.apache.hadoop.io.serializer.Deserializer<java.math.BigDecimal>` | `getDeserializer(java.lang.Class<java.math.BigDecimal> c)`
    `org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal>` | `getSerializer(java.lang.Class<java.math.BigDecimal> c)`

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalSerialization

          public BigDecimalSerialization()

  - ### Method Detail

    - #### accept

          public boolean accept(java.lang.Class<?> c)

      Specified by:
        `accept` in interface `org.apache.hadoop.io.serializer.Serialization<java.math.BigDecimal>`

    - #### getSerializer

          public org.apache.hadoop.io.serializer.Serializer<java.math.BigDecimal> getSerializer(java.lang.Class<java.math.BigDecimal> c)

      Specified by:
        `getSerializer` in interface `org.apache.hadoop.io.serializer.Serialization<java.math.BigDecimal>`

    - #### getDeserializer

          public org.apache.hadoop.io.serializer.Deserializer<java.math.BigDecimal> getDeserializer(java.lang.Class<java.math.BigDecimal> c)

      Specified by:
        `getDeserializer` in interface `org.apache.hadoop.io.serializer.Serialization<java.math.BigDecimal>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.